[arch-commits] Commit in gcc9/repos/community-testing-x86_64 (8 files)

Konstantin Gizdov kgizdov at archlinux.org
Thu Jun 11 16:11:05 UTC 2020


    Date: Thursday, June 11, 2020 @ 16:11:03
  Author: kgizdov
Revision: 642057

archrelease: copy trunk to community-testing-x86_64

Added:
  gcc9/repos/community-testing-x86_64/PKGBUILD
    (from rev 642056, gcc9/trunk/PKGBUILD)
  gcc9/repos/community-testing-x86_64/c89
    (from rev 642056, gcc9/trunk/c89)
  gcc9/repos/community-testing-x86_64/c99
    (from rev 642056, gcc9/trunk/c99)
  gcc9/repos/community-testing-x86_64/fs64270.patch
    (from rev 642056, gcc9/trunk/fs64270.patch)
Deleted:
  gcc9/repos/community-testing-x86_64/PKGBUILD
  gcc9/repos/community-testing-x86_64/c89
  gcc9/repos/community-testing-x86_64/c99
  gcc9/repos/community-testing-x86_64/fs64270.patch

---------------+
 PKGBUILD      |  451 +++++++++++++++++++++++++++-----------------------------
 c89           |   20 +-
 c99           |   20 +-
 fs64270.patch |   76 ++++-----
 4 files changed, 283 insertions(+), 284 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-06-11 16:10:52 UTC (rev 642056)
+++ PKGBUILD	2020-06-11 16:11:03 UTC (rev 642057)
@@ -1,226 +0,0 @@
-# Maintainer:  Konstantin Gizdov <arch at kge dot pw>
-# Contributor: Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
-# Contributor: Allan McRae <allan at archlinux.org>
-# Contributor: Daniel Kozak <kozzi11 at gmail.com>
-
-pkgbase=gcc9
-pkgname=(${pkgbase} ${pkgbase}-libs ${pkgbase}-fortran)
-pkgver=9.3.0
-_majorver=${pkgver:0:1}
-_islver=0.21
-pkgrel=1
-pkgdesc='The GNU Compiler Collection'
-arch=(x86_64)
-license=(GPL LGPL FDL custom)
-url='https://gcc.gnu.org'
-makedepends=(binutils libmpc doxygen python git)
-checkdepends=(dejagnu inetutils)
-options=(!emptydirs)
-_libdir=usr/lib/gcc/$CHOST/${pkgver%%+*}
-# _commit=6957d3e4eef1f4243eb23ff62aea06139ef4415a
-# source=(git://gcc.gnu.org/git/gcc.git#commit=$_commit
-source=(https://ftp.gnu.org/gnu/gcc/gcc-$pkgver/gcc-$pkgver.tar.xz{,.sig}
-        http://isl.gforge.inria.fr/isl-${_islver}.tar.xz
-        c89 c99
-        fs64270.patch)
-validpgpkeys=(F3691687D867B81B51CE07D9BBE43771487328A9  # bpiotrowski at archlinux.org
-              86CFFCA918CF3AF47147588051E8B148A9999C34  # evangelos at foutrelis.com
-              13975A70E63C361C73AE69EF6EEB81F8981C74C7  # richard.guenther at gmail.com
-              33C235A34C46AA3FFB293709A328C3A2C3C45C06) # Jakub Jelinek <jakub at redhat.com>
-sha256sums=('71e197867611f6054aa1119b13a0c0abac12834765fe2d81f35ac57f84f742d1'
-            'SKIP'
-            '777058852a3db9500954361e294881214f6ecd4b594c00da5eee974cd6a54960'
-            'de48736f6e4153f03d0a5d38ceb6c6fdb7f054e8f47ddd6af0a3dbf14f27b931'
-            '2513c6d9984dd0a2058557bf00f06d8d5181734e41dcfe07be7ed86f2959622a'
-            'f45160f699501568ae9e81127562395dd95b5b4a8e4d55a1615fbb00f9e4deb2')
-
-prepare() {
-  [[ ! -d gcc ]] && ln -s gcc-${pkgver/+/-} gcc
-  cd gcc
-
-  # link isl for in-tree build
-  ln -s ../isl-${_islver} isl
-
-  # Do not run fixincludes
-  sed -i 's@\./fixinc\.sh at -c true@' gcc/Makefile.in
-
-  # Arch Linux installs x86_64 libraries /lib
-  sed -i '/m64=/s/lib64/lib/' gcc/config/i386/t-linux64
-
-  # hack! - some configure tests for header files using "$CPP $CPPFLAGS"
-  sed -i "/ac_cpp=/s/\$CPPFLAGS/\$CPPFLAGS -O2/" {libiberty,gcc}/configure
-
-  # Turn off SSP for nostdlib|nodefaultlibs|ffreestanding
-  # https://bugs.archlinux.org/task/64270
-  patch -p1 -i "$srcdir/fs64270.patch"
-
-  mkdir -p "$srcdir/gcc-build"
-}
-
-build() {
-  cd gcc-build
-
-  # using -pipe causes spurious test-suite failures
-  # http://gcc.gnu.org/bugzilla/show_bug.cgi?id=48565
-  CFLAGS=${CFLAGS/-pipe/}
-  CXXFLAGS=${CXXFLAGS/-pipe/}
-
-  "$srcdir/gcc/configure" --prefix=/usr \
-      --libdir=/usr/lib \
-      --libexecdir=/usr/lib \
-      --mandir=/usr/share/man \
-      --infodir=/usr/share/info \
-      --with-pkgversion="Arch Linux $pkgver-$pkgrel" \
-      --with-bugurl=https://bugs.archlinux.org/ \
-      --enable-languages=c,c++,fortran,lto \
-      --enable-shared \
-      --enable-threads=posix \
-      --with-system-zlib \
-      --with-isl \
-      --enable-__cxa_atexit \
-      --disable-libunwind-exceptions \
-      --enable-clocale=gnu \
-      --disable-libstdcxx-pch \
-      --disable-libssp \
-      --enable-gnu-unique-object \
-      --enable-linker-build-id \
-      --enable-lto \
-      --enable-plugin \
-      --enable-install-libiberty \
-      --with-linker-hash-style=gnu \
-      --enable-gnu-indirect-function \
-      --disable-werror \
-      --enable-checking=release \
-      --enable-default-pie \
-      --enable-default-ssp \
-      --enable-cet=auto \
-      --program-suffix=-${_majorver} \
-      --enable-version-specific-runtime-libs \
-      --disable-multilib
-  make
-
-  # make documentation
-  make -C $CHOST/libstdc++-v3/doc doc-man-doxygen
-}
-
-check() {
-  cd gcc-build
-return 0
-
-  # disable libphobos test to avoid segfaults and other unfunny ways to waste my time  
-  sed -i '/maybe-check-target-libphobos \\/d' Makefile 
-
-  # do not abort on error as some are "expected"
-  make -k check || true
-  "$srcdir/gcc/contrib/test_summary"
-}
-
-package_gcc9-libs() {
-  pkgdesc='Runtime libraries shipped by GCC (9.x.x)'
-  depends=('glibc>=2.27')
-  options+=(!strip)
-  provides=(libgfortran.so libubsan.so libasan.so libtsan.so liblsan.so)
-
-  cd gcc-build
-  make -C $CHOST/libgcc DESTDIR="$pkgdir" install-shared
-  mv "${pkgdir}/${_libdir}"/../lib/* "${pkgdir}/${_libdir}"
-  rmdir "${pkgdir}/${_libdir}"/../lib
-  rm -f "$pkgdir/$_libdir/libgcc_eh.a"
-
-  for lib in libatomic \
-             libgfortran \
-             libgomp \
-             libitm \
-             libquadmath \
-             libsanitizer/{a,l,ub,t}san \
-             libstdc++-v3/src \
-             libvtv; do
-    make -C $CHOST/$lib DESTDIR="$pkgdir" install-toolexeclibLTLIBRARIES
-  done
-
-  make -C $CHOST/libstdc++-v3/po DESTDIR="$pkgdir" install
-
-  # Install Runtime Library Exception
-  install -Dm644 "$srcdir/gcc/COPYING.RUNTIME" \
-    "$pkgdir/usr/share/licenses/${pkgname}/RUNTIME.LIBRARY.EXCEPTION"
-
-  # remove conflicting files
-  rm -rf "${pkgdir}"/usr/share/locale
-}
-
-package_gcc9() {
-  pkgdesc="The GNU Compiler Collection - C and C++ frontends (9.x.x)"
-  depends=("${pkgbase}-libs=$pkgver-$pkgrel" 'binutils>=2.28' libmpc)
-  groups=('base-devel')
-  options+=(staticlibs)
-
-  cd gcc-build
-
-  make -C gcc DESTDIR="$pkgdir" install-driver install-cpp install-gcc-ar \
-    c++.install-common install-headers install-plugin install-lto-wrapper
-
-  install -m755 -t "$pkgdir/${_libdir}/" gcc/{cc1,cc1plus,collect2,lto1,gcov{,-tool}}
-
-  make -C $CHOST/libgcc DESTDIR="$pkgdir" install
-  rm -rf "${pkgdir}/${_libdir}"/../lib
-
-  make -C $CHOST/libstdc++-v3/src DESTDIR="$pkgdir" install
-  make -C $CHOST/libstdc++-v3/include DESTDIR="$pkgdir" install
-  make -C $CHOST/libstdc++-v3/libsupc++ DESTDIR="$pkgdir" install
-  make -C $CHOST/libstdc++-v3/python DESTDIR="$pkgdir" install
-  rm -f "${pkgdir}/${_libdir}"/libstdc++.so*
-
-  make DESTDIR="$pkgdir" install-fixincludes
-  make -C gcc DESTDIR="$pkgdir" install-mkheaders
-
-  make -C lto-plugin DESTDIR="$pkgdir" install
-
-  make -C $CHOST/libgomp DESTDIR="$pkgdir" install-nodist_{libsubinclude,toolexeclib}HEADERS
-  make -C $CHOST/libitm DESTDIR="$pkgdir" install-nodist_toolexeclibHEADERS
-  make -C $CHOST/libquadmath DESTDIR="$pkgdir" install-nodist_libsubincludeHEADERS
-  make -C $CHOST/libsanitizer DESTDIR="$pkgdir" install-nodist_{saninclude,toolexeclib}HEADERS
-  make -C $CHOST/libsanitizer/asan DESTDIR="$pkgdir" install-nodist_toolexeclibHEADERS
-  make -C $CHOST/libsanitizer/tsan DESTDIR="$pkgdir" install-nodist_toolexeclibHEADERS
-  make -C $CHOST/libsanitizer/lsan DESTDIR="$pkgdir" install-nodist_toolexeclibHEADERS
-
-  make -C libcpp DESTDIR="$pkgdir" install
-  make -C gcc DESTDIR="$pkgdir" install-po
-
-  # many packages expect this symlink
-  ln -s gcc-${_majorver} "$pkgdir"/usr/bin/cc-${_majorver}
-
-  # POSIX conformance launcher scripts for c89 and c99
-  install -Dm755 "$srcdir/c89" "$pkgdir/usr/bin/c89-${_majorver}"
-  install -Dm755 "$srcdir/c99" "$pkgdir/usr/bin/c99-${_majorver}"
-
-  # byte-compile python libraries
-  python -m compileall "$pkgdir/usr/share/gcc-${pkgver%%+*}/"
-  python -O -m compileall "$pkgdir/usr/share/gcc-${pkgver%%+*}/"
-
-  # Install Runtime Library Exception
-  install -d "$pkgdir/usr/share/licenses/$pkgname/"
-  ln -s /usr/share/licenses/${pkgbase}-libs/RUNTIME.LIBRARY.EXCEPTION \
-    "$pkgdir/usr/share/licenses/$pkgname/"
-
-  # Remove conflicting files
-  rm -rf "$pkgdir"/usr/share/locale
-}
-
-package_gcc9-fortran() {
-  pkgdesc='Fortran front-end for GCC (9.x.x)'
-  depends=("${pkgbase}=$pkgver-$pkgrel")
-
-  cd gcc-build
-  make -C $CHOST/libgfortran DESTDIR="$pkgdir" install-cafexeclibLTLIBRARIES \
-    install-{toolexeclibDATA,nodist_fincludeHEADERS,gfor_cHEADERS}
-  make -C $CHOST/libgomp DESTDIR="$pkgdir" install-nodist_fincludeHEADERS
-  make -C gcc DESTDIR="$pkgdir" fortran.install-{common,man,info}
-  install -Dm755 gcc/f951 "$pkgdir/${_libdir}/f951"
-
-  ln -s gfortran-${_majorver} "$pkgdir/usr/bin/f95-${_majorver}"
-
-  # Install Runtime Library Exception
-  install -d "$pkgdir/usr/share/licenses/$pkgname/"
-  ln -s /usr/share/licenses/${pkgbase}-libs/RUNTIME.LIBRARY.EXCEPTION \
-    "$pkgdir/usr/share/licenses/$pkgname/"
-}

Copied: gcc9/repos/community-testing-x86_64/PKGBUILD (from rev 642056, gcc9/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-06-11 16:11:03 UTC (rev 642057)
@@ -0,0 +1,225 @@
+# Maintainer:  Konstantin Gizdov <arch at kge dot pw>
+# Contributor: Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
+# Contributor: Allan McRae <allan at archlinux.org>
+# Contributor: Daniel Kozak <kozzi11 at gmail.com>
+
+pkgbase=gcc9
+pkgname=(${pkgbase} ${pkgbase}-libs ${pkgbase}-fortran)
+pkgver=9.3.0
+_majorver=${pkgver:0:1}
+_islver=0.21
+pkgrel=2
+pkgdesc='The GNU Compiler Collection'
+arch=(x86_64)
+license=(GPL LGPL FDL custom)
+url='https://gcc.gnu.org'
+makedepends=(binutils libmpc doxygen python git)
+checkdepends=(dejagnu inetutils)
+options=(!emptydirs)
+_libdir=usr/lib/gcc/$CHOST/${pkgver%%+*}
+# _commit=6957d3e4eef1f4243eb23ff62aea06139ef4415a
+# source=(git://gcc.gnu.org/git/gcc.git#commit=$_commit
+source=(https://ftp.gnu.org/gnu/gcc/gcc-$pkgver/gcc-$pkgver.tar.xz{,.sig}
+        http://isl.gforge.inria.fr/isl-${_islver}.tar.xz
+        c89 c99
+        fs64270.patch)
+validpgpkeys=(F3691687D867B81B51CE07D9BBE43771487328A9  # bpiotrowski at archlinux.org
+              86CFFCA918CF3AF47147588051E8B148A9999C34  # evangelos at foutrelis.com
+              13975A70E63C361C73AE69EF6EEB81F8981C74C7  # richard.guenther at gmail.com
+              33C235A34C46AA3FFB293709A328C3A2C3C45C06) # Jakub Jelinek <jakub at redhat.com>
+sha256sums=('71e197867611f6054aa1119b13a0c0abac12834765fe2d81f35ac57f84f742d1'
+            'SKIP'
+            '777058852a3db9500954361e294881214f6ecd4b594c00da5eee974cd6a54960'
+            'de48736f6e4153f03d0a5d38ceb6c6fdb7f054e8f47ddd6af0a3dbf14f27b931'
+            '2513c6d9984dd0a2058557bf00f06d8d5181734e41dcfe07be7ed86f2959622a'
+            'f45160f699501568ae9e81127562395dd95b5b4a8e4d55a1615fbb00f9e4deb2')
+
+prepare() {
+  [[ ! -d gcc ]] && ln -s gcc-${pkgver/+/-} gcc
+  cd gcc
+
+  # link isl for in-tree build
+  ln -s ../isl-${_islver} isl
+
+  # Do not run fixincludes
+  sed -i 's@\./fixinc\.sh at -c true@' gcc/Makefile.in
+
+  # Arch Linux installs x86_64 libraries /lib
+  sed -i '/m64=/s/lib64/lib/' gcc/config/i386/t-linux64
+
+  # hack! - some configure tests for header files using "$CPP $CPPFLAGS"
+  sed -i "/ac_cpp=/s/\$CPPFLAGS/\$CPPFLAGS -O2/" {libiberty,gcc}/configure
+
+  # Turn off SSP for nostdlib|nodefaultlibs|ffreestanding
+  # https://bugs.archlinux.org/task/64270
+  patch -p1 -i "$srcdir/fs64270.patch"
+
+  mkdir -p "$srcdir/gcc-build"
+}
+
+build() {
+  cd gcc-build
+
+  # using -pipe causes spurious test-suite failures
+  # http://gcc.gnu.org/bugzilla/show_bug.cgi?id=48565
+  CFLAGS=${CFLAGS/-pipe/}
+  CXXFLAGS=${CXXFLAGS/-pipe/}
+
+  "$srcdir/gcc/configure" --prefix=/usr \
+      --libdir=/usr/lib \
+      --libexecdir=/usr/lib \
+      --mandir=/usr/share/man \
+      --infodir=/usr/share/info \
+      --with-pkgversion="Arch Linux $pkgver-$pkgrel" \
+      --with-bugurl=https://bugs.archlinux.org/ \
+      --enable-languages=c,c++,fortran,lto \
+      --enable-shared \
+      --enable-threads=posix \
+      --with-system-zlib \
+      --with-isl \
+      --enable-__cxa_atexit \
+      --disable-libunwind-exceptions \
+      --enable-clocale=gnu \
+      --disable-libstdcxx-pch \
+      --disable-libssp \
+      --enable-gnu-unique-object \
+      --enable-linker-build-id \
+      --enable-lto \
+      --enable-plugin \
+      --enable-install-libiberty \
+      --with-linker-hash-style=gnu \
+      --enable-gnu-indirect-function \
+      --disable-werror \
+      --enable-checking=release \
+      --enable-default-pie \
+      --enable-default-ssp \
+      --enable-cet=auto \
+      --program-suffix=-${_majorver} \
+      --enable-version-specific-runtime-libs \
+      --disable-multilib
+  make
+
+  # make documentation
+  make -C $CHOST/libstdc++-v3/doc doc-man-doxygen
+}
+
+check() {
+  cd gcc-build
+
+  # disable libphobos test to avoid segfaults and other unfunny ways to waste my time  
+  sed -i '/maybe-check-target-libphobos \\/d' Makefile 
+
+  # do not abort on error as some are "expected"
+  make -k check || true
+  "$srcdir/gcc/contrib/test_summary"
+}
+
+package_gcc9-libs() {
+  pkgdesc='Runtime libraries shipped by GCC (9.x.x)'
+  depends=('glibc>=2.27')
+  options+=(!strip)
+  provides=(libgfortran.so libubsan.so libasan.so libtsan.so liblsan.so)
+
+  cd gcc-build
+  make -C $CHOST/libgcc DESTDIR="$pkgdir" install-shared
+  mv "${pkgdir}/${_libdir}"/../lib/* "${pkgdir}/${_libdir}"
+  rmdir "${pkgdir}/${_libdir}"/../lib
+  rm -f "$pkgdir/$_libdir/libgcc_eh.a"
+
+  for lib in libatomic \
+             libgfortran \
+             libgomp \
+             libitm \
+             libquadmath \
+             libsanitizer/{a,l,ub,t}san \
+             libstdc++-v3/src \
+             libvtv; do
+    make -C $CHOST/$lib DESTDIR="$pkgdir" install-toolexeclibLTLIBRARIES
+  done
+
+  make -C $CHOST/libstdc++-v3/po DESTDIR="$pkgdir" install
+
+  # Install Runtime Library Exception
+  install -Dm644 "$srcdir/gcc/COPYING.RUNTIME" \
+    "$pkgdir/usr/share/licenses/${pkgname}/RUNTIME.LIBRARY.EXCEPTION"
+
+  # remove conflicting files
+  rm -rf "${pkgdir}"/usr/share/locale
+}
+
+package_gcc9() {
+  pkgdesc="The GNU Compiler Collection - C and C++ frontends (9.x.x)"
+  depends=("${pkgbase}-libs=$pkgver-$pkgrel" 'binutils>=2.28' libmpc)
+  groups=('base-devel')
+  options+=(staticlibs)
+
+  cd gcc-build
+
+  make -C gcc DESTDIR="$pkgdir" install-driver install-cpp install-gcc-ar \
+    c++.install-common install-headers install-plugin install-lto-wrapper
+
+  install -m755 -t "$pkgdir/${_libdir}/" gcc/{cc1,cc1plus,collect2,lto1,gcov{,-tool}}
+
+  make -C $CHOST/libgcc DESTDIR="$pkgdir" install
+  rm -rf "${pkgdir}/${_libdir}"/../lib
+
+  make -C $CHOST/libstdc++-v3/src DESTDIR="$pkgdir" install
+  make -C $CHOST/libstdc++-v3/include DESTDIR="$pkgdir" install
+  make -C $CHOST/libstdc++-v3/libsupc++ DESTDIR="$pkgdir" install
+  make -C $CHOST/libstdc++-v3/python DESTDIR="$pkgdir" install
+  rm -f "${pkgdir}/${_libdir}"/libstdc++.so*
+
+  make DESTDIR="$pkgdir" install-fixincludes
+  make -C gcc DESTDIR="$pkgdir" install-mkheaders
+
+  make -C lto-plugin DESTDIR="$pkgdir" install
+
+  make -C $CHOST/libgomp DESTDIR="$pkgdir" install-nodist_{libsubinclude,toolexeclib}HEADERS
+  make -C $CHOST/libitm DESTDIR="$pkgdir" install-nodist_toolexeclibHEADERS
+  make -C $CHOST/libquadmath DESTDIR="$pkgdir" install-nodist_libsubincludeHEADERS
+  make -C $CHOST/libsanitizer DESTDIR="$pkgdir" install-nodist_{saninclude,toolexeclib}HEADERS
+  make -C $CHOST/libsanitizer/asan DESTDIR="$pkgdir" install-nodist_toolexeclibHEADERS
+  make -C $CHOST/libsanitizer/tsan DESTDIR="$pkgdir" install-nodist_toolexeclibHEADERS
+  make -C $CHOST/libsanitizer/lsan DESTDIR="$pkgdir" install-nodist_toolexeclibHEADERS
+
+  make -C libcpp DESTDIR="$pkgdir" install
+  make -C gcc DESTDIR="$pkgdir" install-po
+
+  # many packages expect this symlink
+  ln -s gcc-${_majorver} "$pkgdir"/usr/bin/cc-${_majorver}
+
+  # POSIX conformance launcher scripts for c89 and c99
+  install -Dm755 "$srcdir/c89" "$pkgdir/usr/bin/c89-${_majorver}"
+  install -Dm755 "$srcdir/c99" "$pkgdir/usr/bin/c99-${_majorver}"
+
+  # byte-compile python libraries
+  python -m compileall "$pkgdir/usr/share/gcc-${pkgver%%+*}/"
+  python -O -m compileall "$pkgdir/usr/share/gcc-${pkgver%%+*}/"
+
+  # Install Runtime Library Exception
+  install -d "$pkgdir/usr/share/licenses/$pkgname/"
+  ln -s /usr/share/licenses/${pkgbase}-libs/RUNTIME.LIBRARY.EXCEPTION \
+    "$pkgdir/usr/share/licenses/$pkgname/"
+
+  # Remove conflicting files
+  rm -rf "$pkgdir"/usr/share/locale
+}
+
+package_gcc9-fortran() {
+  pkgdesc='Fortran front-end for GCC (9.x.x)'
+  depends=("${pkgbase}=$pkgver-$pkgrel")
+
+  cd gcc-build
+  make -C $CHOST/libgfortran DESTDIR="$pkgdir" install-cafexeclibLTLIBRARIES \
+    install-{toolexeclibDATA,nodist_fincludeHEADERS,gfor_cHEADERS}
+  make -C $CHOST/libgomp DESTDIR="$pkgdir" install-nodist_fincludeHEADERS
+  make -C gcc DESTDIR="$pkgdir" fortran.install-common
+  install -Dm755 gcc/f951 "$pkgdir/${_libdir}/f951"
+
+  ln -s gfortran-${_majorver} "$pkgdir/usr/bin/f95-${_majorver}"
+
+  # Install Runtime Library Exception
+  install -d "$pkgdir/usr/share/licenses/$pkgname/"
+  ln -s /usr/share/licenses/${pkgbase}-libs/RUNTIME.LIBRARY.EXCEPTION \
+    "$pkgdir/usr/share/licenses/$pkgname/"
+}

Deleted: c89
===================================================================
--- c89	2020-06-11 16:10:52 UTC (rev 642056)
+++ c89	2020-06-11 16:11:03 UTC (rev 642057)
@@ -1,10 +0,0 @@
-#!/bin/sh
-fl="-std=c89"
-for opt; do
-  case "$opt" in
-    -ansi|-std=c89|-std=iso9899:1990) fl="";;
-    -std=*) echo "`basename $0` called with non ANSI/ISO C option $opt" >&2
-	    exit 1;;
-  esac
-done
-exec gcc $fl ${1+"$@"}

Copied: gcc9/repos/community-testing-x86_64/c89 (from rev 642056, gcc9/trunk/c89)
===================================================================
--- c89	                        (rev 0)
+++ c89	2020-06-11 16:11:03 UTC (rev 642057)
@@ -0,0 +1,10 @@
+#!/bin/sh
+fl="-std=c89"
+for opt; do
+  case "$opt" in
+    -ansi|-std=c89|-std=iso9899:1990) fl="";;
+    -std=*) echo "`basename $0` called with non ANSI/ISO C option $opt" >&2
+	    exit 1;;
+  esac
+done
+exec gcc $fl ${1+"$@"}

Deleted: c99
===================================================================
--- c99	2020-06-11 16:10:52 UTC (rev 642056)
+++ c99	2020-06-11 16:11:03 UTC (rev 642057)
@@ -1,10 +0,0 @@
-#!/bin/sh
-fl="-std=c99"
-for opt; do
-  case "$opt" in
-    -std=c99|-std=iso9899:1999) fl="";;
-    -std=*) echo "`basename $0` called with non ISO C99 option $opt" >&2
-	    exit 1;;
-  esac
-done
-exec gcc $fl ${1+"$@"}

Copied: gcc9/repos/community-testing-x86_64/c99 (from rev 642056, gcc9/trunk/c99)
===================================================================
--- c99	                        (rev 0)
+++ c99	2020-06-11 16:11:03 UTC (rev 642057)
@@ -0,0 +1,10 @@
+#!/bin/sh
+fl="-std=c99"
+for opt; do
+  case "$opt" in
+    -std=c99|-std=iso9899:1999) fl="";;
+    -std=*) echo "`basename $0` called with non ISO C99 option $opt" >&2
+	    exit 1;;
+  esac
+done
+exec gcc $fl ${1+"$@"}

Deleted: fs64270.patch
===================================================================
--- fs64270.patch	2020-06-11 16:10:52 UTC (rev 642056)
+++ fs64270.patch	2020-06-11 16:11:03 UTC (rev 642057)
@@ -1,38 +0,0 @@
-Disable ssp on -nostdlib, -nodefaultlibs and -ffreestanding 
-Change the buffer size.
-
---- a/gcc/gcc.c	2017-07-04 09:15:57.740793000 +0200
-+++ b/gcc/gcc.c	2018-03-02 13:58:44.387741114 +0100
-@@ -857,6 +857,12 @@ proper position among the other output f
- #define LINK_GCC_C_SEQUENCE_SPEC "%G %L %G"
- #endif
- 
-+#ifdef ENABLE_DEFAULT_SSP
-+#define NO_SSP_SPEC "%{nostdlib|nodefaultlibs|ffreestanding:-fno-stack-protector} "
-+#else
-+#define NO_SSP_SPEC ""
-+#endif
-+
- #ifndef LINK_SSP_SPEC
- #ifdef TARGET_LIBC_PROVIDES_SSP
- #define LINK_SSP_SPEC "%{fstack-protector|fstack-protector-all" \
-@@ -1131,7 +1148,7 @@ static const char *cc1_options =
-  %{-version:--version}\
-  %{-help=*:--help=%*}\
-  %{!fsyntax-only:%{S:%W{o*}%{!o*:-o %b.s}}}\
-- %{fsyntax-only:-o %j} %{-param*}\
-+ %{fsyntax-only:-o %j} %{-param*} " NO_SSP_SPEC "\
-  %{coverage:-fprofile-arcs -ftest-coverage}\
-  %{fprofile-arcs|fprofile-generate*|coverage:\
-    %{!fprofile-update=singel:\
---- a/gcc/params.def	2016-03-30 09:47:40.000000000 +0200
-+++ b/gcc/params.def	2016-09-19 12:56:58.443179039 +0200
-@@ -673,7 +673,7 @@ DEFPARAM (PARAM_INTEGER_SHARE_LIMIT,
- DEFPARAM (PARAM_SSP_BUFFER_SIZE,
- 	  "ssp-buffer-size",
- 	  "The lower bound for a buffer to be considered for stack smashing protection.",
--	  8, 1, 0)
-+	  4, 1, 0)
- 
- DEFPARAM (PARAM_MIN_SIZE_FOR_STACK_SHARING,
- 	  "min-size-for-stack-sharing",

Copied: gcc9/repos/community-testing-x86_64/fs64270.patch (from rev 642056, gcc9/trunk/fs64270.patch)
===================================================================
--- fs64270.patch	                        (rev 0)
+++ fs64270.patch	2020-06-11 16:11:03 UTC (rev 642057)
@@ -0,0 +1,38 @@
+Disable ssp on -nostdlib, -nodefaultlibs and -ffreestanding 
+Change the buffer size.
+
+--- a/gcc/gcc.c	2017-07-04 09:15:57.740793000 +0200
++++ b/gcc/gcc.c	2018-03-02 13:58:44.387741114 +0100
+@@ -857,6 +857,12 @@ proper position among the other output f
+ #define LINK_GCC_C_SEQUENCE_SPEC "%G %L %G"
+ #endif
+ 
++#ifdef ENABLE_DEFAULT_SSP
++#define NO_SSP_SPEC "%{nostdlib|nodefaultlibs|ffreestanding:-fno-stack-protector} "
++#else
++#define NO_SSP_SPEC ""
++#endif
++
+ #ifndef LINK_SSP_SPEC
+ #ifdef TARGET_LIBC_PROVIDES_SSP
+ #define LINK_SSP_SPEC "%{fstack-protector|fstack-protector-all" \
+@@ -1131,7 +1148,7 @@ static const char *cc1_options =
+  %{-version:--version}\
+  %{-help=*:--help=%*}\
+  %{!fsyntax-only:%{S:%W{o*}%{!o*:-o %b.s}}}\
+- %{fsyntax-only:-o %j} %{-param*}\
++ %{fsyntax-only:-o %j} %{-param*} " NO_SSP_SPEC "\
+  %{coverage:-fprofile-arcs -ftest-coverage}\
+  %{fprofile-arcs|fprofile-generate*|coverage:\
+    %{!fprofile-update=singel:\
+--- a/gcc/params.def	2016-03-30 09:47:40.000000000 +0200
++++ b/gcc/params.def	2016-09-19 12:56:58.443179039 +0200
+@@ -673,7 +673,7 @@ DEFPARAM (PARAM_INTEGER_SHARE_LIMIT,
+ DEFPARAM (PARAM_SSP_BUFFER_SIZE,
+ 	  "ssp-buffer-size",
+ 	  "The lower bound for a buffer to be considered for stack smashing protection.",
+-	  8, 1, 0)
++	  4, 1, 0)
+ 
+ DEFPARAM (PARAM_MIN_SIZE_FOR_STACK_SHARING,
+ 	  "min-size-for-stack-sharing",



More information about the arch-commits mailing list